- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages: default System System.Caching System.Collections System.Data System.Data.ActiveRecord System.Data.ActiveRecord.Relations System.Data.ActiveRecord.Scaffold System.Data.ActiveReecord.Scaffold.InputBuilder System.Data.Commom.Sqlite System.Data.Common System.Data.Common.Mssql System.Data.Common.Mysql System.Data.Common.Oracle System.Data.Common.Pgsql System.Data.Common.Sqlite System.Data.DataGateway System.Data.SqlMap System.Data.SqlMap.Configuration System.Data.SqlMap.Statements System.Exceptions System.I18N System.IO System.Security System.Util System.Web System.Web.Services System.Web.UI System.Web.UI.ActiveControls System.Web.UI.WebControls System.Web.UI.WebControls.assets System.Xml Classes: IDataSource IItemDataRenderer IRepeatInfoUser TActiveFileUpload TBaseDataList TBaseValidator TBoundColumn TBulletedList TBulletedListDisplayMode TBulletedListEventParameter TBulletStyle TButton TButtonColumn TButtonColumnType TButtonType TCaptcha TCaptchaValidator TCheckBox TCheckBoxColumn TCheckBoxList TCircleHotSpot TClientScript TClientScriptLoader TClientSideValidationSummaryOptions TColorPicker TColorPickerClientSide TColorPickerMode TCompareValidator TCompleteWizardStep TConditional TContent TContentDirection TContentPlaceHolder TCustomValidator TDataBoundControl TDataGrid TDataGridColumn TDataGridColumnCollection TDataGridCommandEventParameter TDataGridItem TDataGridItemCollection TDataGridItemEventParameter TDataGridItemRenderer TDataGridPageChangedEventParameter TDataGridPager TDataGridPagerButtonType TDataGridPagerEventParameter TDataGridPagerMode TDataGridPagerPosition TDataGridPagerStyle TDataGridSortCommandEventParameter TDataList TDataListCommandEventParameter TDataListItem TDataListItemCollection TDataListItemEventParameter TDataListItemRenderer TDataRenderer TDataSourceControl TDataSourceSelectParameters TDataSourceView TDataTypeValidator TDatePicker TDatePickerClientScript TDatePickerInputMode TDatePickerMode TDatePickerPositionMode TDisplayStyle TDraggable TDropContainer TDropDownList TDropDownListColumn TEditCommandColumn TEmailAddressValidator TExpression TFileUpload TFont THiddenField THorizontalAlign THotSpot THotSpotCollection THotSpotMode THtmlArea THtmlElement THyperLink THyperLinkColumn TImage TImageButton TImageClickEventParameter TImageMap TImageMapEventParameter TInlineFrame TInlineFrameAlign TInlineFrameScrollBars TItemDataRenderer TJavascriptLogger TKeyboard TLabel TLinkButton TListBox TListControl TListControlValidator TListItem TListItemCollection TListItemType TListSelectionMode TLiteral TLiteralColumn TMarkdown TMetaTag TMetaTagCollection TMultiView TOutputCache TOutputCacheCalculateKeyEventParameter TOutputCacheCheckDependencyEventParameter TPager TPagerButtonType TPagerMode TPagerPageChangedEventParameter TPanel TPanelStyle TPlaceHolder TPolygonHotSpot TRadioButton TRadioButtonList TRangeValidationDataType TRangeValidator TRatingList TReadOnlyDataSource TReadOnlyDataSourceView TRectangleHotSpot TRegularExpressionValidator TRepeatDirection TRepeater TRepeaterCommandEventParameter TRepeaterItem TRepeaterItemCollection TRepeaterItemEventParameter TRepeaterItemRenderer TRepeatInfo TRepeatLayout TRequiredFieldValidator TSafeHtml TScrollBars TServerValidateEventParameter TSlider TSliderClientScript TSliderDirection TStatements TStyle TStyleSheet TTable TTableCaptionAlign TTableCell TTableCellCollection TTableFooterRow TTableGridLines TTableHeaderCell TTableHeaderRow TTableHeaderScope TTableItemStyle TTableRow TTableRowCollection TTableRowSection TTableStyle TTabPanel TTabView TTabViewCollection TTemplateColumn TTemplatedWizardStep TTextAlign TTextBox TTextBoxAutoCompleteType TTextBoxMode TTextHighlighter TTextHighlighterLineNumberStyle TValidationCompareOperator TValidationDataType TValidationSummary TValidationSummaryDisplayMode TValidationSummaryDisplayStyle TValidatorClientSide TValidatorDisplayStyle TVerticalAlign TView TViewCollection TWebControl TWebControlAdapter TWizard TWizardFinishNavigationTemplate TWizardNavigationButtonStyle TWizardNavigationButtonType TWizardNavigationContainer TWizardNavigationEventParameter TWizardNavigationTemplate TWizardSideBarListItemTemplate TWizardSideBarTemplate TWizardStartNavigationTemplate TWizardStep TWizardStepCollection TWizardStepNavigationTemplate TWizardStepType TXmlTransform |
Keyword
# Class TLinkButton
    TComponent
       |
       --TApplicationComponent
          |
          --TControl
             |
             --TWebControl
                |
                --TLinkButton
#### Direct Known Sub-classes: TActiveLinkButton TLinkButton class TLinkButton creates a hyperlink style button on the page. TLinkButton has the same appearance as a hyperlink. However, it is mainly used to submit data to a page. Like TButton, you can create either a submit button or a command button. A command button has a command name (specified by the CommandName property) and and a command parameter (specified by CommandParameter property) associated with the button. This allows you to create multiple TLinkButton components on a Web page and programmatically determine which one is clicked with what parameter. You can provide an event handler for OnCommand event to programmatically control the actions performed when the command button is clicked. In the event handler, you can determine the CommandName property value and the CommandParameter property value through the TCommandParameter::getName and TCommandParameter::getParameter properties of the event parameter which is of type TCommandEventParameter. A submit button does not have a command name associated with the button and clicking on it simply posts the Web page back to the server. By default, a TLinkButton component is a submit button. You can provide an event handler for the OnClick event to programmatically control the actions performed when the submit button is clicked. Clicking on button can trigger form validation, if CausesValidation is true. And the validation may be restricted within a certain group of validator controls by setting ValidationGroup property. If validation is successful, the data will be post back to the same page. TLinkButton will display the Text property value as the hyperlink text. If Text is empty, the body content of TLinkButton will be displayed. Therefore, you can use TLinkButton as an image button by enclosing an &lt;img&gt; tag as the body of TLinkButton. Since: 3.0 Author: Qiang Xue <qiang.xue@gmail.com>
Constants Inherited From TControl
AUTOMATIC_ID_PREFIX, CLIENT_ID_SEPARATOR, CS_CHILD_INITIALIZED, CS_CONSTRUCTED, CS_INITIALIZED, CS_LOADED, CS_PRERENDERED, CS_STATE_LOADED, ID_FORMAT, ID_SEPARATOR, IS_CHILD_CREATED, IS_CREATING_CHILD, IS_DISABLE_THEMING, IS_DISABLE_VIEWSTATE, IS_ID_SET, IS_SKIN_APPLIED, IS_STYLESHEET_APPLIED, RF_ADAPTER, RF_AUTO_BINDINGS, RF_CHILD_STATE, RF_CONTROLS, RF_CONTROLSTATE, RF_DATA_BINDINGS, RF_EVENTS, RF_NAMED_CONTROLS, RF_NAMED_CONTROLS_ID, RF_NAMED_OBJECTS, RF_SKIN_ID,
Method Summary
protected void | addAttributesToRender ( THtmlWriter $writer) Adds attribute name-value pairs to renderer.
boolean | getCausesValidation ()
protected string | getClientClassName () Gets the name of the javascript class responsible for performing postback for this control.
string | getCommandName ()
string | getCommandParameter ()
string | getData () Returns the caption of the button.
boolean | getEnableClientScript ()
boolean | getIsDefaultButton ()
protected array | getPostBackOptions () Returns postback specifications for the button.
protected string | getTagName ()
string | getText ()
string | getValidationGroup ()
void | onClick ( TEventParameter $param) This method is invoked when the button is clicked.
void | onCommand ( TCommandEventParameter $param) This method is invoked when the button is clicked.
void | raisePostBackEvent ( TEventParameter $param) Raises the postback event.
protected void | renderClientControlScript ( THtmlWriter $writer) Renders the client-script code.
void | renderContents ( THtmlWriter $writer) Renders the body content enclosed between the control tag.
protected void | renderLinkButtonHref ( THtmlWriter $writer) Renders the Href for link button.
void | setCausesValidation ( string $value) Sets the value indicating whether postback event trigger by this button will cause input validation.
void | setCommandName ( string $value)
void | setCommandParameter ( string $value)
void | setData ( string $value) Sets the caption of the button.
void | setEnableClientScript ( boolean $value)
void | setIsDefaultButton ( boolean $value)
void | setText ( string $value)
void | setValidationGroup ( string $value)
Methods Inherited From TWebControl
TWebControl::addAttributesToRender(), TWebControl::clearStyle(), TWebControl::copyBaseAttributes(), TWebControl::createStyle(), TWebControl::getAccessKey(), TWebControl::getBackColor(), TWebControl::getBorderColor(), TWebControl::getBorderStyle(), TWebControl::getBorderWidth(), TWebControl::getCssClass(), TWebControl::getDisplay(), TWebControl::getFont(), TWebControl::getForeColor(), TWebControl::getHasStyle(), TWebControl::getHeight(), TWebControl::getStyle(), TWebControl::getTabIndex(), TWebControl::getTagName(), TWebControl::getToolTip(), TWebControl::getWidth(), TWebControl::render(), TWebControl::renderBeginTag(), TWebControl::renderContents(), TWebControl::renderEndTag(), TWebControl::setAccessKey(), TWebControl::setBackColor(), TWebControl::setBorderColor(), TWebControl::setBorderStyle(), TWebControl::setBorderWidth(), TWebControl::setCssClass(), TWebControl::setDisplay(), TWebControl::setForeColor(), TWebControl::setHeight(), TWebControl::setStyle(), TWebControl::setTabIndex(), TWebControl::setToolTip(), TWebControl::setWidth()
Methods Inherited From TControl
TControl::addedControl(), TControl::addParsedObject(), TControl::addToPostDataLoader(), TControl::applyStyleSheetSkin(), TControl::autoBindProperty(), TControl::autoDataBindProperties(), TControl::bindProperty(), TControl::broadcastEvent(), TControl::bubbleEvent(), TControl::clearChildState(), TControl::clearControlState(), TControl::clearNamingContainer(), TControl::clearViewState(), TControl::convertUniqueIdToClientId(), TControl::createChildControls(), TControl::createControlCollection(), TControl::dataBind(), TControl::dataBindChildren(), TControl::dataBindProperties(), TControl::ensureChildControls(), TControl::findControl(), TControl::findControlsByID(), TControl::findControlsByType(), TControl::focus(), TControl::getAdapter(), TControl::getAllowChildControls(), TControl::getAttribute(), TControl::getAttributes(), TControl::getChildControlsCreated(), TControl::getClientID(), TControl::getControls(), TControl::getControlStage(), TControl::getControlState(), TControl::getCustomData(), TControl::getEnabled(), TControl::getEnableTheming(), TControl::getEnableViewState(), TControl::getHasAdapter(), TControl::getHasAttributes(), TControl::getHasChildInitialized(), TControl::getHasControls(), TControl::getHasInitialized(), TControl::getHasLoaded(), TControl::getHasLoadedPostData(), TControl::getHasPreRendered(), TControl::getID(), TControl::getNamingContainer(), TControl::getPage(), TControl::getParent(), TControl::getRegisteredObject(), TControl::getSkinID(), TControl::getSourceTemplateControl(), TControl::getTemplateControl(), TControl::getUniqueID(), TControl::getViewState(), TControl::getVisible(), TControl::hasAttribute(), TControl::initRecursive(), TControl::isDescendentOf(), TControl::isObjectRegistered(), TControl::loadRecursive(), TControl::loadState(), TControl::loadStateRecursive(), TControl::onDataBinding(), TControl::onInit(), TControl::onLoad(), TControl::onPreRender(), TControl::onUnload(), TControl::preRenderRecursive(), TControl::raiseBubbleEvent(), TControl::registerObject(), TControl::removeAttribute(), TControl::removedControl(), TControl::render(), TControl::renderChildren(), TControl::renderControl(), TControl::saveState(), TControl::saveStateRecursive(), TControl::setAdapter(), TControl::setAttribute(), TControl::setChildControlsCreated(), TControl::setControlStage(), TControl::setControlState(), TControl::setCustomData(), TControl::setEnabled(), TControl::setEnableTheming(), TControl::setEnableViewState(), TControl::setID(), TControl::setPage(), TControl::setSkinID(), TControl::setTemplateControl(), TControl::setViewState(), TControl::setVisible(), TControl::trackViewState(), TControl::traverseChildControls(), TControl::unbindProperty(), TControl::unloadRecursive(), TControl::unregisterObject(), TControl::__get()
Methods Inherited From TApplicationComponent
TApplicationComponent::getApplication(), TApplicationComponent::getRequest(), TApplicationComponent::getResponse(), TApplicationComponent::getService(), TApplicationComponent::getSession(), TApplicationComponent::getUser(), TApplicationComponent::publishAsset(), TApplicationComponent::publishFilePath()
Methods Inherited From TComponent
TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()
Constant Summary
Method Details
## addAttributesToRender
protected void addAttributesToRender | (THtmlWriter $writer )
Adds attribute name-value pairs to renderer. This overrides the parent implementation with additional button specific attributes.
Input
THtmlWriter | $writer | the writer used for the rendering purpose
Output
Exception
## getCausesValidation
public boolean getCausesValidation | ()
Output
boolean | whether postback event trigger by this button will cause input validation
Exception
## getClientClassName
protected string getClientClassName | ()
Gets the name of the javascript class responsible for performing postback for this control. This method overrides the parent implementation.
Output
string | the javascript class name
Exception
## getCommandName
public string getCommandName | ()
Output
string | the command name associated with the OnCommand event.
Exception
## getCommandParameter
public string getCommandParameter | ()
Output
string | the parameter associated with the OnCommand event
Exception
## getData
public string getData | ()
Returns the caption of the button. This method is required by IDataRenderer. It is the same as getText().
Output
string | caption of the button.
Exception
## getEnableClientScript
public boolean getEnableClientScript | ()
Output
boolean | whether to render javascript.
Exception
## getIsDefaultButton
public boolean getIsDefaultButton | ()
Output
boolean | true if this button is registered as a default button for a panel.
Exception
## getPostBackOptions
protected array getPostBackOptions | ()
Returns postback specifications for the button. This method is used by framework and control developers.
Output
array | parameters about how the button defines its postback behavior.
Exception
## getTagName
protected string getTagName | ()
Output
string | tag name of the button
Exception
## getText
public string getText | ()
Output
string | the text caption of the button
Exception
## getValidationGroup
public string getValidationGroup | ()
Output
string | the group of validators which the button causes validation upon postback
Exception
## onClick
public void onClick | (TEventParameter $param )
This method is invoked when the button is clicked. The method raises 'OnClick' event to fire up the event handlers. If you override this method, be sure to call the parent implementation so that the event handler can be invoked.
Input
TEventParameter | $param | event parameter to be passed to the event handlers
Output
Exception
## onCommand
public void onCommand | (TCommandEventParameter $param )
This method is invoked when the button is clicked. The method raises 'OnCommand' event to fire up the event handlers. If you override this method, be sure to call the parent implementation so that the event handlers can be invoked.
Input
TCommandEventParameter | $param | event parameter to be passed to the event handlers
Output
Exception
## raisePostBackEvent
public void raisePostBackEvent | (TEventParameter $param )
Raises the postback event. This method is required by IPostBackEventHandler interface. If CausesValidation is true, it will invoke the page's TPage::validate method first. It will raise OnClick and OnCommand events. This method is mainly used by framework and control developers.
Input
TEventParameter | $param | the event parameter
Output
Exception
## renderClientControlScript
protected void renderClientControlScript | (THtmlWriter $writer )
Renders the client-script code.
Input
THtmlWriter | $writer | renderer
Output
Exception
## renderContents
public void renderContents | (THtmlWriter $writer )
Renders the body content enclosed between the control tag. If Text is not empty, it will be rendered. Otherwise, the body content enclosed in the control tag will be rendered.
Input
THtmlWriter | $writer | the writer used for the rendering purpose
Output
Exception
## renderLinkButtonHref
protected void renderLinkButtonHref | (THtmlWriter $writer )
Renders the Href for link button.
Input
THtmlWriter | $writer | renderer
Output
Exception
## setCausesValidation
public void setCausesValidation | (string $value )
Sets the value indicating whether postback event trigger by this button will cause input validation.
Input
string | $value | the text caption to be set
Output
Exception
## setCommandName
public void setCommandName | (string $value )
Input
string | $value | the command name associated with the OnCommand event.
Output
Exception
## setCommandParameter
public void setCommandParameter | (string $value )
Input
string | $value | the parameter associated with the OnCommand event.
Output
Exception
## setData
public void setData | (string $value )
Sets the caption of the button. This method is required by IDataRenderer. It is the same as setText().
Input
string | $value | caption of the button
Output
Exception
## setEnableClientScript
public void setEnableClientScript | (boolean $value )
Input
boolean | $value | whether to render javascript.
Output
Exception
## setIsDefaultButton
public void setIsDefaultButton | (boolean $value )
Input
boolean | $value | set by a panel to register this button as the default button for the panel.
Output
Exception
## setText
public void setText | (string $value )
Input
string | $value | the text caption to be set
Output
Exception
## setValidationGroup
public void setValidationGroup | (string $value )
Input
string | $value | the group of validators which the button causes validation upon postback
Output
Exception